# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TGetInfoResp

Packages that use TGetInfoResp
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TGetInfoResp in com.databricks.jdbc.model.client.thrift.generated

Subclasses with type arguments of type TGetInfoResp in com.databricks.jdbc.model.client.thrift.generated
Modifier and Type
Class
Description
`static class`
`TCLIService.AsyncClient.GetInfo_call`
`static class`
`TCLIService.AsyncProcessor.GetInfo<I extends TCLIService.AsyncIface>`
Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TGetInfoResp
Modifier and Type
Class
Description
`class`
`TGetInfoResp`
`class`
`TGetInfoResp`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TGetInfoResp
Modifier and Type
Field
Description
`TGetInfoResp`
TCLIService.GetInfo_result.`success`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TGetInfoResp
Modifier and Type
Method
Description
`TGetInfoResp`
TGetInfoResp.`deepCopy()`
`TGetInfoResp`
TCLIService.Client.`GetInfo(TGetInfoReq req)`
`TGetInfoResp`
TCLIService.Iface.`GetInfo(TGetInfoReq req)`
`TGetInfoResp`
TCLIService.AsyncClient.GetInfo_call.`getResult()`
`TGetInfoResp`
TCLIService.GetInfo_result.`getSuccess()`
`TGetInfoResp`
TCLIService.Client.`recv_GetInfo()`
`TGetInfoResp`
TGetInfoResp.`setInfoValue(TGetInfoValue infoValue)`
`TGetInfoResp`
TGetInfoResp.`setStatus(TStatus status)`
Methods in com.databricks.jdbc.model.client.thrift.generated that return types with arguments of type TGetInfoResp
Modifier and Type
Method
Description
`org.apache.thrift.async.AsyncMethodCallback<TGetInfoResp>`
TCLIService.AsyncProcessor.GetInfo.`getResultHandler(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb, int seqid)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetInfoResp
Modifier and Type
Method
Description
`int`
TGetInfoResp.`compareTo(TGetInfoResp other)`
`boolean`
TGetInfoResp.`equals(TGetInfoResp that)`
`TCLIService.GetInfo_result`
TCLIService.GetInfo_result.`setSuccess(TGetInfoResp success)`
Method parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TGetInfoResp
Modifier and Type
Method
Description
`void`
TCLIService.AsyncClient.`GetInfo(TGetInfoReq req, org.apache.thrift.async.AsyncMethodCallback<TGetInfoResp> resultHandler)`
`void`
TCLIService.AsyncIface.`GetInfo(TGetInfoReq req, org.apache.thrift.async.AsyncMethodCallback<TGetInfoResp> resultHandler)`
`void`
TCLIService.AsyncProcessor.GetInfo.`start(I iface, TCLIService.GetInfo_args args, org.apache.thrift.async.AsyncMethodCallback<TGetInfoResp> resultHandler)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetInfoResp
Modifier
Constructor
Description
``
`GetInfo_result(TGetInfoResp success)`
``
`TGetInfoResp(TGetInfoResp other)`
Performs a deep copy on other.
Constructor parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TGetInfoResp
Modifier
Constructor
Description
``
`GetInfo_call(TGetInfoReq req, org.apache.thrift.async.AsyncMethodCallback<TGetInfoResp> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`